View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18468Bug reportsUser / Groups / Rolespublic2022-12-15 17:46
ReporterMazi Assigned To 
PriorityhighSeverityblock 
Status confirmedResolutionopen 
Product Version5.4.x 
Summary18468: User with rights to view other users can not see them at the survey permission screen
Description

A user with the global right to see other users is not presented any user when trying to assign survey permissions to others. The dropdown is simply blank.

Only when changing Global Settings -> Security -> "Users can see users from own group only" to NO, the user drop down is showing entries even though there are other users within the same user group.

Steps To Reproduce

Steps to reproduce

Create a new admin user with only the right to create surveys and view users.
Then create a simple survey and go to the survey permission screen.
Check the dropdown of exising users.

Expected result

See other users which exist at the same (default) user group within the dropdown.

Actual result

No users are present within the dropdown.
Only when chaning the mentioned global setting, users show up.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.4.9
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMariaDB 10.1.48
Server OS (if known)Ubuntu 20
Webserver software & version (if known)Apache
PHP Version8.1

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-12-07 19:50

manager   ~73020

@DenisChenu Is this related to 18468 ?
What do you think?

Mazi

Mazi

2022-12-07 23:35

updater   ~73021

Added missing setting details.

DenisChenu

DenisChenu

2022-12-08 09:19

developer   ~73024

@DenisChenu Is this related to 18468 ?

same number issue , then yes 18468 is related to 18468 :)

Else : it's an old issue here. User list are really complex …

@Mazi : you have a old 2.6lts to check how it work ? Maybe a 2.50 too ? And in 3.X ?
I think it's this behaviour since years now …

Update to set as a better behaviour are dangerous .
Did you remind when we add a REAL permission system for Survey some year ago ?
A lot of user complain there user see survey of other user … because we really use 'View' permission system.

Before 2.00 (or maybe in 2.05 too) : view survey didn't allow to view ALL survey.

DenisChenu

DenisChenu

2022-12-08 09:26

developer   ~73026

Got it : https://bugs.limesurvey.org/view.php?id=9571

And see comment : https://bugs.limesurvey.org/view.php?id=9571#c31846

At this date : there are a lot of Forum user complaining about new situation

Mazi

Mazi

2022-12-08 09:28

updater   ~73027

@DeniChenu, at version 2.6.7 the "Users can see users from own group only" does NOT have to be changed. It behaves different. There is no such bug.

DenisChenu

DenisChenu

2022-12-08 09:42

developer   ~73028

3.X have the issue ?

Mazi

Mazi

2022-12-08 09:46

updater   ~73029

@DenisChenu, just test ;-)

I can confirm that this is NOT an issue at LS 3.x.

DenisChenu

DenisChenu

2022-12-08 09:49

developer   ~73030

Then i think we must back to 3.X system :)

DenisChenu

DenisChenu

2022-12-08 09:53

developer   ~73031

Last edited: 2022-12-08 09:54

About expected result :

Users can see users from own group only to Yes
Use have view all user
See other users which exist at the same (default) user group within the dropdown only ? (i think yes, unsure)
Use not have view all user
See other users which exist at the same (default) user group within the dropdown ? (i think yes)

Users can see users from own group only to No
Use have view all user
See other users (all) ? (i think yes)
Use not have view all user
See other users (all) in drop-down ? (i think yes (unsure))

@gabrieljenik : seems totally related to the withListRight scope ;)

gabrieljenik

gabrieljenik

2022-12-08 13:03

manager   ~73034

same number issue , then yes 18468 is related to 18468 :)

Sorry, meant #18356

DenisChenu

DenisChenu

2022-12-08 14:14

developer   ~73037

Sorry, meant 18356

I don't think :l pother are related to role.
I don't know real usage of role …

gabrieljenik

gabrieljenik

2022-12-15 17:34

manager   ~73147

@gabrieljenik : seems totally related to the withListRight scope ;)

But now this is related to user listing, not survey listing.
You mean that method should be applied to user-* objects?

Want to take this?

DenisChenu

DenisChenu

2022-12-15 17:46

developer   ~73151

Last edited: 2022-12-15 17:46

You mean that method should be applied to user-* objects?

Yes , i think it can be more clear

Want to take this?

I want to have clear decision about expected result … with and without "Users can see users from own group only" option.
After : yes.

Issue History

Date Modified Username Field Change
2022-11-08 12:23 Mazi New Issue
2022-11-08 16:10 ollehar Priority none => high
2022-11-09 14:39 gabrieljenik Status new => acknowledged
2022-11-10 14:21 gabrieljenik Status acknowledged => confirmed
2022-12-07 19:50 gabrieljenik Note Added: 73020
2022-12-07 19:50 gabrieljenik Bug heat 0 => 2
2022-12-07 23:35 Mazi Description Updated
2022-12-07 23:35 Mazi Note Added: 73021
2022-12-07 23:35 Mazi Bug heat 2 => 4
2022-12-08 09:19 DenisChenu Note Added: 73024
2022-12-08 09:19 DenisChenu Bug heat 4 => 6
2022-12-08 09:26 DenisChenu Note Added: 73026
2022-12-08 09:28 Mazi Note Added: 73027
2022-12-08 09:42 DenisChenu Note Added: 73028
2022-12-08 09:46 Mazi Note Added: 73029
2022-12-08 09:49 DenisChenu Note Added: 73030
2022-12-08 09:53 DenisChenu Note Added: 73031
2022-12-08 09:54 DenisChenu Note Edited: 73031
2022-12-08 13:03 gabrieljenik Note Added: 73034
2022-12-08 14:14 DenisChenu Note Added: 73037
2022-12-15 17:34 gabrieljenik Note Added: 73147
2022-12-15 17:46 DenisChenu Note Added: 73151
2022-12-15 17:46 DenisChenu Note Edited: 73151